Page MenuHomePhabricator

merge tor-control-port-filter changes by Tails into Whonix's tor-control-port-filter fork
Closed, ResolvedPublic

Description

tor-control-port-filter by Tails changed significantly since Whonix forked it.

Merge https://git-tails.immerda.ch/tails/plain/config/chroot_local-includes/usr/local/lib/tor-controlport-filter?h=feature/7870-include_onionshare into https://github.com/Whonix/control-port-filter-python/blob/master/usr/lib/tor-controlport-filter. (Of course keep the enhancements by Whonix.)

That way the delta gets smaller. And makes it easier to get Whonix's enhancement merged into Tails' one so both projects can share the very same tor-control-port-filter code.

When done: anonym of Tails would like to be informed.

Details

Impact
Normal

Event Timeline

Patrick created this task.Jan 19 2017, 5:55 PM
Patrick updated the task description. (Show Details)Jan 21 2017, 4:23 PM
joysn1980 claimed this task.EditedJan 25 2017, 3:34 PM

https://github.com/joysn/control-port-filter-python/commits/master/usr/lib

Done in 4 merges
Merge 1 - Replace the current tor-controlport-filter with
https://git-tails.immerda.ch/tails/tree/config/chroot_local-includes/usr/local/lib/tor-controlport-filter

Merge 2 - Use yml.safe_load and Python exceptions in journalctl

Merge 3 - add -listen_interface option

Merge 4 - add /etc/tor-controlport-filter.d configuration support

I have tested it. Did not find any obvious issue. Would request to test it once more.

First line, it's using python -v?

Yes it was a typo.
Fixed it in another commit